import glob
import datetime
import os
os.chdir("/Users/ciuffo/Documents/Projects/Gutenberg Clock/gutenzip take two/txt")



filename = range(19833)
length=len(filename)
log = open("logadjusted.txt",'w')
time=datetime.datetime(2000,1,1,0)
for i in range(3):
    for file in filename:
        #fixed time delay between files to allow time for files to be read
        delta = 2.7278
        book=open("nowhitespace/"+str(file)+".txt",'r')
        filenamestr = str(file)
        while (len(filenamestr)<5):
            filenamestr="0"+filenamestr
        writebuffer = filenamestr+".txt-"+str(time)

        #deal with the fact that time.print doesn't print 0s if microseconds=0
        #making line shorter than 38
        if time.microsecond == 0:
            writebuffer=writebuffer+"."
            while (len(writebuffer)<36):
                writebuffer=writebuffer+"0"
        writebuffer=writebuffer+"\r\n"
        log.write(writebuffer)
        for currentline in book:
            if len(currentline)>2:
                #add time to display characters and time to transmit them (about 130 transmitted for every displayed)
                #295 refers to the apparent "fixed costs" of transmitting. These include characters in header/footer
                #as well as built in delays that do not involve serial transmission
                delta=delta+(((len(currentline)-2+14)+((len(currentline)-2+295)/130))*.13639)
        time=time+datetime.timedelta(0,delta)
        print 100.0*(file+length*i)/(length*3)
        
        book.close()
        #print filename/bookcount*( time/31536000), round(bookcount*1.0/filename*100,2)
    print time
log.close()

